Summary: Chkrootkit detects rootkits
Name: chkrootkit
Version: 0.45
Release: oss_fc4_1
License: OpenSource
Group: Applications/Security
Source0: ftp://ftp.pangeia.com.br/pub/seq/pac/%{name}-%{version}.tar.gz
Patch1:chkrootkit.patch-%{version}
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Ralf Spenneberg <ralf@spenneberg.de> - OpenSource Security

%description
chkrootkit is a tool to locally check for signs of a rootkit. It contains:
chkrootkit: shell script that checks system binaries for rootkit modification.
This version now detects threads.

%prep
%setup -q 
for i in chkwtmp check_wtmpx chkproc chkdirs strings-static chklastlog chkutmp ifpromisc
do
perl -i -p -e "s/\.\/$i/\/usr\/sbin\/$i/" chkrootkit
done
%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp chkrootkit chkwtmp chkproc chklastlog check_wtmpx chkutmp ifpromisc $RPM_BUILD_ROOT/usr/sbin
cp strings-static $RPM_BUILD_ROOT/usr/sbin/strings-static

%clean
						


%files
%defattr(-,root,root)
%attr(755,root,root)       /usr/sbin/*
%doc COPYRIGHT README*

%changelog
* Thu Mar 03 2005 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.45

* Mon Dec 29 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.43

* Thu Nov 27 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.42b

* Sat Jun 21 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.41

* Fri Apr 04 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.40

* Mon Feb 03 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.39a

* Fri Jan 31 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.39

* Fri Jan 03 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 0.38

* Mon Sep 19 2002 Ralf Spenneberg <ralf@spenneberg.de>
- First release
